Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control.messages
Class Message

A base class for compilation messages.

author:
  Chris Poirier

version:
  $Id: Message.java 6778 2007-07-02 10:40:33Z glaforge $

Constructor Summary
`Message()`

Method Summary
`static Message` | `create(String text, ProcessingUnit owner)` Creates a new Message from the specified text.
`static Message` | `create(String text, Object data, ProcessingUnit owner)` Creates a new Message from the specified text.
`static Message` | `create(SyntaxException error, SourceUnit owner)` Creates a new Message from the specified SyntaxException.
`void` | `write(PrintWriter writer, Janitor janitor)` Writes the message to the specified PrintWriter.
`void` | `write(PrintWriter writer)` Writes the message to the specified PrintWriter.

Constructor Detail

### Message

    Message()

Method Detail

### create

    public static Message create(String text, ProcessingUnit owner)

  Creates a new Message from the specified text.

### create

    public static Message create(String text, Object data, ProcessingUnit owner)

  Creates a new Message from the specified text.

### create

    public static Message create(SyntaxException error, SourceUnit owner)

  Creates a new Message from the specified SyntaxException.

### write

    public void write(PrintWriter writer, Janitor janitor)

  Writes the message to the specified PrintWriter. The supplied ProcessingUnit is the unit that holds this Message.

### write

    public void write(PrintWriter writer)

  Writes the message to the specified PrintWriter. The supplied ProcessingUnit is the unit that holds this Message.